﻿// --------------------------------------------------------------------------------------------
// Stefan Cruysberghs
// http://www.scip.be
// Article: Customize WCF RIA Services code generation
// http://www.scip.be/index.php?Page=ArticlesNET36
// --------------------------------------------------------------------------------------------
using System.ServiceModel.DomainServices.Client.ApplicationServices;

namespace ScipBe.Demo.RiaCodeGen.Framework
{
    public class MyWebContext : WebContextBase
    {
        private static object lockObject = new object();

        private static int busyCounter;

        public static void IncreaseBusyCounter()
        {
            lock (lockObject)
            {
                busyCounter++;
            }
        }

        public static void DecreaseBusyCounter()
        {
            lock (lockObject)
            {
                busyCounter--;
            }
        }

        public bool IsBusy
        {
            get { return busyCounter > 0; }
        }
    }
}